# Waylay Alarms Service
No description provided (generated by Openapi Generator https://github.com/openapitools/openapi-generator)

This Python package is automatically generated based on the 
Waylay Alarms OpenAPI specification (API version: 1.11.0)

It consists of a plugin for the waylay-sdk package, and contains the Alarms api methods.
Note that the typed model classes for all path params, query params, body params and responses for each of the api methods are contained in a separate package called waylay-sdk-alarms-types.

## Requirements.
This package requires Python 3.9+.

## Installation
Typically this package is installed when installing the [waylay-sdk](https://github.com/waylayio/waylay-sdk-py) package to enable the service's functionality.
When the service api methods are required, waylay-sdk-alarms is included in:
- ```pip install waylay-sdk[alarms]``` to install `waylay-sdk` along with only this service, or
- ```pip install waylay-sdk[services]``` to install `waylay-sdk` along with all services.
When the typed models are required, both waylay-sdk-alarms and waylay-sdk-alarms-types are included in:
- ```pip install waylay-sdk[alarms,alarms-types]``` to install `waylay-sdk` along with only this service including the typed models, or
- ```pip install waylay-sdk[services,services-types]``` to install `waylay-sdk` along with all services along with the typed models.

## Usage


```python
from pprint import pprint

# Import the waylay-client from the waylay-sdk package
from waylay.sdk.client import WaylayClient
from waylay.sdk.api.api_exceptions import ApiError

# Intialize a waylay client instance
waylay_client = WaylayClient.from_profile()

# Note that the typed model classes for responses/parameters/... are only available when `waylay-sdk-alarms-types` is installed
from alarms.models.get_eventstream_event_format_parameter import GetEventstreamEventFormatParameter
from alarms.models.nd_json_response_stream import NdJsonResponseStream
try:
    # Alarm Events
    # calls `GET /alarms/v1/events`
    api_response = await waylay_client.alarms.alarm_events.get(
        # query parameters:
        query = {
            'eventFormat': 'application/cloudevents+json'
        },
    )
    print("The response of alarms.alarm_events.get:\n")
    pprint(api_response)
except ApiError as e:
    print("Exception when calling alarms.alarm_events.get: %s\n" % e)
```


